using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums;
using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.TL
{
    /// <summary>
    /// 回采计划
    /// </summary>
    [Description("尾矿库注销")]
    [DataRuleField("DEPARTMENT_ID")]
    public class T_TL_OUT : MesEntityBase
    {
        /// <summary>
        /// 尾矿库名称 冗余
        /// </summary>
        [Description("尾矿库名称")]
        [DataFieldLength(200)]
        public string TAILING_NAME { get; set; }

        /// <summary>
        /// 尾矿库名称
        /// </summary>
        [Description("尾矿库名称")]
        [DataFieldForeignKey("Nav_Tailing")]
        public Guid? TAILING_ID { get; set; }

        /// <summary>
        /// 尾矿库
        /// </summary>
        [Description("尾矿库")]
        [FormFieldEdit]
        public T_TL_TAILING Nav_Tailing { get; set; }

        /// <summary>
        /// 部门
        /// </summary>
        [Description("部门")]
        [DataFieldForeignKey("Nav_Department")]
        public Guid? DEPARTMENT_ID { get; set; }

        /// <summary>
        /// 部门
        /// </summary>
        [Description("部门")]
        public T_FM_DEPARTMENT Nav_Department { get; set; }

        /// <summary>
        /// 提交人
        /// </summary>
        [Description("提交人")]
        [DataFieldForeignKey("Nav_User")]
        public Guid USER_ID { get; set; }

        /// <summary>
        /// 提交人
        /// </summary>
        [Description("提交人")]
        public T_FM_USER Nav_User { get; set; }

        /// <summary>
        /// 注销日期
        /// </summary>
        [Description("注销日期")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public DateTime? OUTDATE { get; set; }

        /// <summary>
        /// 尾矿库注销文件
        /// </summary>
        [Description("尾矿库注销文件")]
        public ICollection<T_TL_OUT_FILE> Nav_Files { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        [Description("状态")]
        [FormFieldQuery]
        [FormFieldTable]
        public PFStandardStatus STATUS { get; set; }
    }
}